#version 400

in vec4 fragNormal;

out vec4 result;

// This is the actual code that is executed.
void main( void )
{
   vec3 norm = abs( normalize( fragNormal.xyz ) );
   result = vec4( vec3( norm.z ), 1.0f );
}